// Copyright HTC Corporation. All Rights Reserved.

using System.IO;
using System.Diagnostics;

namespace UnrealBuildTool.Rules
{
	public class ViveOpenXRAndroidEditor : ModuleRules
	{
		public ViveOpenXRAndroidEditor(ReadOnlyTargetRules Target) : base(Target)
		{
			PCHUsage = ModuleRules.PCHUsageMode.UseExplicitOrSharedPCHs;

			var EngineDir = Path.GetFullPath(Target.RelativeEnginePath);

			PrivateDependencyModuleNames.AddRange(
				new string[]
				{
					"Core",
					"CoreUObject",
				}
			);
			if(Target.bBuildEditor == true)
			{
				PrivateDependencyModuleNames.Add("UnrealEd");
			}
		}
	}
}
