# 12.67 XR_HTC_hand_interaction
## Name String
    XR_HTC_hand_interaction
## Revision
    1
## Hand Interaction Profile
### Interaction profile path:
- /interaction_profiles/htc/hand_interaction

### Valid for user paths:
- /user/hand_htc/left
- /user/hand_htc/right

### Supported input source
- K/input/select/value
- K/input/aim/pose

The application should use K/input/aim/pose path to aim at objects in the world and use K/input/select/value path to decide user selection from pinch shape strength which the range of value is 0.0f to 1.0f, with 1.0f meaning pinch fingers touched.

## Wave Blueprint Function Library
- float UViveOpenXRAndroidHandInteractionBP::GetPinchStrength(bool isLeft): Retrieves the "select value" which presents the range of "Pinch" motion.
- FVector UViveOpenXRAndroidHandInteractionBP::GetPinchPosition(bool isLeft): Retrieves the position of "aim pose".
- FQuat UViveOpenXRAndroidHandInteractionBP::GetPinchRotation(bool isLeft): Retrieves the rotation of "aim pose".
- bool UViveOpenXRAndroidHandInteractionBP::GetPinchTracked(bool isLeft): Retrieves the tracked state of "aim pose".